Package javax.mail

# Class PasswordAuthentication

java.lang.Object
javax.mail.PasswordAuthentication

public final class PasswordAuthentication extends Object
The class PasswordAuthentication is a data holder that is used by Authenticator. It is simply a repository for a user name and a password.

Author:
  Bill Foote
See Also:
  - `PasswordAuthentication`
  - `Authenticator`
  - `Authenticator.getPasswordAuthentication()`

## Constructor Summary

Constructors
Constructor
Description
`PasswordAuthentication(String userName, String password)`
Initialize a new PasswordAuthentication

## Method Summary

Modifier and Type
Method
Description
`String`
`getPassword()`
`String`
`getUserName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PasswordAuthentication

public PasswordAuthentication(String userName, String password)
Initialize a new PasswordAuthentication

Parameters:
  `userName` - the user name
  `password` - The user's password

## Method Details

### getUserName

public String getUserName()

Returns:
  the user name

### getPassword

public String getPassword()

Returns:
  the password